dh-python (5.20221001) unstable; urgency=medium

  * Fix -X handling in dh_python3 et al. Broken in the migration to argparse
    in 5.20220819. (closes: 1020041)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 01 Oct 2022 14:31:31 +0200

dh-python (5.20220924) unstable; urgency=medium

  * Escape a . in a regex in tests/test-package-show-info, fixes FTBFS in
    Ubuntu which builds with the noudeb profile.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Sep 2022 19:17:12 +0200

dh-python (5.20220923) unstable; urgency=medium

  [ Stefano Rivera ]
  * Run Python test suite with nose2. (closes: 1018338)
  * Don't attempt to diff static libs (.a), thanks Nick Rosbrook.
    (closes: 1020528)
  * Bump Standards-Version to 4.6.1, no changes needed.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Remove constraints unnecessary since buster (oldstable):
    + dh-python: Drop versioned constraint on python3 in Replaces.

  [ Stuart Prescott ]
  * pyproject plugin: Make the package's entry points available in the PATH
    when running the package's test suite, so that tests using the entry
    points can be run.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 23 Sep 2022 09:47:57 +0200

dh-python (5.20220819) unstable; urgency=medium

  * flit plugin: Explicitly install using the "deb_system" sysconfig scheme.
  * Update location for python-policy in dh_python3(1), thanks Andrius Merkys.
  * autoscripts/prerm-{py3,pypy}clean: Use sed instead of perl, thanks Gioele
    Barabucci.
  * pybuild.pm: Handle multiple (comma-separated) versions in
    DEBPYTHON3_SUPPORTED. (closes: 1015774)
  * pybuild.pm: Don't entirely swallow py3versions -r errors. (closes: 827870)
  * pybuild: Don't print stack traces when we can't initialize a plugin due to
    a missing command, it's confusing. (closes: 954215)
  * pybuild cmake plugin: Add support for FindPython and FindPython3,
    available since CMake 3.12. (closes: 949377)
  * dh_python3: Don't generate ${python3:Provides} or ${python3:Versions}.
    Never intended for use with Python 3, by the Debian Python Policy, and not
    currently in use. (closes: 811080, 951748)
  * dh_python3: Operate on binary packages that only Recommends:
    ${python3:Depends}, too. (closes: 1017001)
  * Port dh_python2/dh_python3/dh_pypy to argparse.
  * dh_*: Parse -O=... options provided by debhelper. (closes: 949286)
  * pybuild: Make --ext-dest-dir work again, when --name is specified.
    (closes: 942882)
  * Remove the text in pybuild(1) describing pybuild-plugin-pyproject as being
    in beta.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Aug 2022 22:34:55 +0200

dh-python (5.20220403) unstable; urgency=medium

  * Refresh pydist.
  * Replace which with command -v in autoscripts, thanks Diederik de Haas.
  * Add support for --test-custom/PYBUILD_TEST_CUSTOM. Thanks, Antonio
    Terceiro!
  * Correctly handle --interpreter python3.10 (2-digit minor version).
    (closes: 1008745)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 03 Apr 2022 15:45:19 -0400

dh-python (5.20220215) unstable; urgency=medium

  * pybuild plugin: Explicitly unpack wheels using the "deb_system" sysconfig
    scheme, allowing python3.10 to change the default sysconfig scheme to
    "posix_local". (LP: #1960608)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 Feb 2022 20:26:39 -0400

dh-python (5.20220213) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update pydist fallback database.
  * dh_python3: Don't emit any warnings about unknown packages for modules
    that we won't depend on. (closes: 1004378)
  * Drop Provides for dh-python-pep517, replaced by pybuild-plugin-pyproject.
  * Simplify generated dependencies for "; python_version > '3'" style
    dependencies.
  * pyproject plugin: Export FLIT_NO_NETWORK=1 when building, to disable any
    attempts by flit to download build-dependencies.
  * pyproject plugin: Remove license_files from dist-info, as generated by
    hatchling. We carry the contents in debian/copyright, no need to duplicate
    it.
  * Consider DH_OPTIONS as prepended to command line options, not appended.
    (closes: 949285)
  * Support DEB_BUILD_OPTIONS=terse, thanks Matthijs Kooijman.
    (closes: 945945)

  [ Scott Kitterman ]
  * Update source lintian overrides

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for pybuild-plugin-pyproject.
  * Fix day-of-week for changelog entry 1.20130807-1.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Feb 2022 19:33:18 -0400

dh-python (5.20220119) unstable; urgency=medium

  * Allow passing arguments to tox tests.
  * cmake plugin: Don't quote arguments that will be substituted (and quoted)
    by shell_command. (closes: 1003962)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Jan 2022 21:06:38 -0400

dh-python (5.20220101) unstable; urgency=medium

  * Handle complex environment markers with both quote types.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 01 Jan 2022 16:33:28 -0400

dh-python (5.20211231) unstable; urgency=medium

  * Handle parenthetical environment markers.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 31 Dec 2021 15:01:25 -0400

dh-python (5.20211230) unstable; urgency=medium

  * Source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 30 Dec 2021 20:06:24 -0400

dh-python (5.20211229) unstable; urgency=medium

  * debian/rules: respect DEB_BUILD_OPTIONS=nocheck, thanks Antonio Terceiro.
  * dh_python2(1) and dh_python3(1): Correct the field order for pyinstall
    files.
  * Rename pep517 plugin to pyproject, we expect this to be amended by future
    PEPs.
  * Allow explicitly selecting a pybuild plugin with a Build-Depends on
    pybuild-plugin-NAME, when such a binary package exists.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 29 Dec 2021 15:26:43 -0400

dh-python (5.20211225) unstable; urgency=medium

  * pybuild: fix rst2man error, thanks Louis-Philippe Véronneau.
  * pybuild: Use the pytest runner for one of the pep517 test suites.
  * dh_python*: Fix a crash when attempting to apply an environment markers to
    an unknown module. (closes: 1002182)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Dec 2021 12:29:37 -0400

dh-python (5.20211217) unstable; urgency=medium

  * Ignore environment markers for Python 2.7, our logic is specific to 3.x.
  * Ignore requires.txt sections with un-parseable section headers.
    (closes: 1001838)
  * Handle extraneous parentheses in requires.txt section headers.
  * pep517 plugin: Throw an error if an UNKNOWN-*.whl is built.
  * pep517 plugin: Gracefully skip wheel unpack if it appears to have already
    been unpacked by a package calling build twice.
  * dh_python*: Don't delete empty directories in private dirs. (closes: 908999)
  * pybuild: Sort plugin list for consistent selection, instead of relying on
    file-system semantics. (closes: 978949)
  * Correctly parse "== 1.*" style version constraints. (closes: 981752)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Declare Rules-Requires-Root: no.
  * Strip changelog trailing whitespace.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Dec 2021 16:13:38 -0400

dh-python (5.20211216) unstable; urgency=medium

  * Use a consistent distribution name regexp to handle dashed names
    correctly, thanks Nicolas Dandrimont.
  * Un-constrain python_version constraints where the minimum version is < 3.
  * Ignore python_version constraints where the maximum version is < 3.
    (closes: 1001799)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 16 Dec 2021 12:39:55 -0400

dh-python (5.20211214) unstable; urgency=medium

  * Fix a bug in dist-info extra section parsing, thanks Stuart Prescott.
  * Remove LICENSE.md from dist-info, as well as LICENSE.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Dec 2021 18:31:53 -0400

dh-python (5.20211213) unstable; urgency=medium

  [ Stefano Rivera ]
  * Document that pybuild --name overrides --dest-dir.
  * Use Python 3 examples in the manpage, thanks Louis-Philippe Véronneau.
  * Handle dist-info extra sections the same way we do for requirements.txt.
    (closes: 998374)
  * Add support for environment markers.
    (closes: 815654, 834133, 922468, 978686)
  * Expand on --depends-section=SECTION and similar in dh_python3(1), and
    mention multiple use.
  * Port to python3-tomli (following the PyPA projects).

  [ Piotr Ożarowski ]
  * dh_python3: Remove duplicate .abi3.so public extension even if it differs
    from the one generated by previous interpreter

  [ Stefano Rivera ]
  * Add new pep517 plugin that uses python3-build + python3-installer to build
    Python modules as wheels and then unpack the wheel. This is the new
    interface used by modern Python packaging tools. (Closes: #984824)
    - The plugin is still in beta, so other plugins will be used in preference
      to it, unless explicitly specified.
    - Adds a new binary package dh-python-pep517, for convenience in selecting
      the plugin.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 13 Dec 2021 19:09:53 -0400

dh-python (5.20211114) unstable; urgency=medium

  * Avoid the dependency on python-ply for testpb03, this was removed in
    Ubuntu, already.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Nov 2021 17:41:28 -0800

dh-python (5.20211105) unstable; urgency=medium

  * Add tpb03 - a test covering pybuild building Python 2 and 3 packages.
  * Document pybuild environment variables in pybuild(1) (closes: #997469)
  * pybuild: Only generate --test-* dependencies in the test target.
  * pybuild: Fix tox autodetection, broken since it was renamed from
    python3-tox.
  * pybuild tox plugin: Delete pydistutils.cfg before calling tox, to avoid
    breaking it. Switching keys to underscores in 5.20211022 brought them to
    pip's attention, and it tried to install to /usr. (closes: 997485, 998581)
  * pybuild tox plugin: Use tox --sitepackages to use Debian packages to
    resolve test dependencies (closes: 960048)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 05 Nov 2021 00:44:25 -0700

dh-python (5.20211022.1) unstable; urgency=medium

  * dhpython/debhelper.py: Ignore trailing newlines in debian/control
    (closes: 996995)
  * Add test cases for broken failed debian/control parsing.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Oct 2021 13:13:43 -0700

dh-python (5.20211022) unstable; urgency=medium

  * pybuild distutils plugin: Use underscore separated keys in
    pydistutils.cfg, following setuptools 54.1's deprecation of
    dash-separation.
  * dhpython/debhelper.py: Don't consider two blank lines to be an empty
    paragraph. (closes: 996995)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Oct 2021 11:15:23 -0700

dh-python (5.20211021) unstable; urgency=medium

  * dh_python3(1): Clarify where the dependencies come from. (closes: 930950)
  * Rewrite dhpython/debhelper.py's debian/control parsing to do 2 passes and
    avoid relying on conventional field order. (closes: 996949)
  * Parse Build-Depends-Arch too, when making assumptions based on
    Build-Depends.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Oct 2021 14:59:28 -0700

dh-python (5.20211016.1) unstable; urgency=medium

  * Unset DH_INTERNAL_OPTIONS= in the package-building test suites, to fix
    FTBFS on the arch:all buildd.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Oct 2021 13:30:33 -0700

dh-python (5.20211016) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * DEB_BUILD_PROFILES=nocheck will skip test step in pybuild
    (just like DEB_BUILD_OPTIONS=nocheck already does)

  [ Stefano Rivera ]
  * Add support for 2-digit python minor versions (3.10). Parse sonames and
    generate dependencies, correctly. Thanks Graham Inggs.
  * Version Breaks: python to allow dh-python to be co-installed with
    python-is-python2, thanks Stephen Kitt. (closes: 991009)
  * Remove build path from RECORD files, thanks Philip Rinn (closes: 969352)
  * Add integration test coverage for pybuild and flit.
  * flit: Remove direct_url.json from .dist-info, not reproducible and
    doesn't contain any useful information.
  * Re-enable package build-time test suite.
  * Run the python2.7 dh_python2 tests in an autopkgtest.
  * Replaced references to python with python2.7 in the test suite
    (closes: 956191)
  * Update pydist fallback database.
  * Recognise Debian-packaged python modules from .dist-info directories as
    well as .egg-info.
  * Generate python3:Depends from Requires-Dist entries in .dist-info (e.g.
    flit packages). (closes: 987296)
  * Suggest: flit, python3-toml. (closes: 987236)
  * Architecture-qualify py*compile and py*clean calls in maintainer scripts,
    for architecture-specific Python packages. This allows co-installation
    (and even concurrent unpacking) of different architectures of a package.
    (closes: 991146, 770265, 812228)
  * Update _PYTHON_SYSCONFIGDATA_NAME export for cross-builds, thanks Helmut
    Grohne. (closes: 968213)
  * Parse Build-Depends with a :any suffix correctly, thanks Maximilian
    Engelhardt. (closes: 980303)
  * Generate a dependency on python3 in dh_python3 when there's a script
    installed with a python3 shebang, thanks Maximilian Engelhardt.
    (closes: 980310)
  * flit: Run test suites. (closes: 994281)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Oct 2021 08:01:30 -0700

dh-python (4.20201102+nmu1) unstable; urgency=medium

  * Non-maintainer upload
  * Don't fail tests just because the default python gets hardcoded
    (Closes: #975536)

 -- Paul Gevers <elbrus@debian.org>  Sat, 27 Feb 2021 19:51:37 +0100

dh-python (4.20201102) unstable; urgency=medium

  [ Antonio Terceiro ]
  * pybuild's Flit plugin: don't crash on ill-formed pyproject.toml

  [ Piotr Ożarowski ]
  * Remove now deprecated allow_hosts=None from autogenerated .pydistutils.cfg
    file (closes: 970524)
  * Try to build/test other interpreters/versions even if one of them fails to
    make build logs a bit more verbose (closes: 943334)
  * Remove .pytest_cache and .coverage in pybuild's clean step (closes: 967898)
    Custom plugins now invoke Base.clean() as well (i.e. PyTest files,
    build dir and all .pyc files are removed like in other plugins)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Nov 2020 22:58:27 +0100

dh-python (4.20200925) unstable; urgency=medium

  * Add Breaks/Replaces python2 to ease upgrades with python2 (closes: 968046)
  * Disable Python 2.X tests by default (closes: 968193)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Sep 2020 12:35:52 +0200

dh-python (4.20200804) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add new pybuild plugin to enable flit built packages to build using
    pyproject.toml instead of distutils/setuptools setup.py
  * Update dh-python for removal of python3.7 from supported python3 versions
    (closes: #956190)
    - Drop python3.7 from dhpython/_versions.py supported versions
    - Disable obsolete doctest in dhpython/interpreter.py

  [ Piotr Ożarowski ]
  * pybuild.pm: add support for python2.7 and python2.7-dbg in Build-Depends
    (closes: 949372), note that python2 and python2-dbg are not supported
  * ship Python 2's debhelper files (postinst-pycompile, prerm-pyclean and
    python2.pm) now that python package is no longer available (closes: 966832)
  * Standards-Version is 4.5.0 now (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Aug 2020 10:10:12 +0200

dh-python (4.20200315) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * Adjust for Python 3.8
    - fix setting _PYTHON_SYSCONFIGDATA_NAME (closes: 948320)
    - update tests (closes: 952122)
  * Add dh-python to Depends in autopkgtest (closes: 947789)
  * pybuild: add support for nose2. Enable by adding python3-nose2 to
    Build-Depends or --test-nose2 option or PYBUILD_TEST_NOSE2=1 env. var.
    (closes: 950912)

  [ Simon Ruggier ]
  * Fix a problem in handling ranges with no minimum

  [ Matthias Klose ]
  * Fix setting _PYTHON_HOST_PLATFORM (closes: 948319)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 15 Mar 2020 20:46:09 +0100

dh-python (4.20191017) unstable; urgency=medium

  * dh_python2: generate python2 dependencies instead of python ones
    (to make "python" package removal a bit easier)
  * generate pylint dependencies instead of pylint3 (Python 3.X files moved to
    new binary package)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 17 Oct 2019 22:26:10 +0200

dh-python (4.20190722) unstable; urgency=medium

  * Build-depend on python3-docutils to build manpages
    (reintroduces circular dependencies problem, but makes Python 2.X removal
    a bit easier)
  * Use debhelper compat level 12
  * Standards-Version is 4.4.0 now (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 22 Jul 2019 17:40:36 +0200

dh-python (3.20190308) unstable; urgency=medium

  * so2pyver: add a fallback to UTF-8 if locale.getdefaultlocale() returns None
    closes: 923990

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 08 Mar 2019 08:23:50 +0100

dh-python (3.20190307) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Ignore tilde version numbers which crash setuptools-scm (closes: 915408)

  [ Agustin Henze ]
  * Use current locale for encoding the output process while checking
    libpython's version extension file is linked to (closes: 901000, 912909)

    Thanks also to Zack Weinberg for different patch solving this issue
    in 912909!

  [ Helmut Grohne ]
  * pybuild:
    - make it easier to cross-build Python 2 extensions (closes: 901759)
    - use DEB_HOST_ARCH{,_OS} instead of DEB_TARGET_ARCH{,_OS} (closes: 912892)

    Thanks also to Dima Kogan for patches, including the one adding more
    debug info.

  [ Samuel Thibault ]
  * Fix handling broken symlinks while renaming extension files
    (closes: 903698).

  [ Nicolas Dandrimont ]
  * Support "Compatible release" version specifiers ("~=") in the requires
    parser (closes: 913338).

  [ Piotr Ożarowski ]
  * pybuild.pm: follow python3-tox → tox (unfortunate) rename
  * dh-python now provides dh-sequence-python3, dh-sequence-python2
    and dh-sequence-pypy packages (to be used in debhelper >= 12)
  * Update tests to use 3.7 as default/supported Python 3.X (closes: 914998)
  * dh_pypy: add namespace support: new options: --namespace, --ignore-namespace
    and parsing namespace_packages.txt by default (closes: 920899)
  * dh_python3: move files from /usr/include/python3.X/ to
    /usr/include/python3.Xm/ for Python 3.X >= 3.3 (closes: 923048)
  * Standards-Version is 4.3.0 now (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Mar 2019 22:00:17 +0100

dh-python (3.20180927) unstable; urgency=medium

  [ Ondřej Nový ]
  * Enable verbose mode for nose to comply with Debian Policy 4.2.0

  [ Piotr Ożarowski ]
  * dh_python*:
    - remove .../dist-packages/.foo directories (.cache, .pytest_cache, etc.)
    - install debian/python{,3}-foo.bcep files into /usr/share/python{,3}/bcep/
  * dh_python3: generated postinst files will bytecompile for pypy3 if
    /usr/bin/pypy3compile is available (py3clean will remove pypy3 generated
    .pyc files so prerm doesn't require any changes).
    PyPy3 support is still a WIP so pypy3compile errors are ignored for now.

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 27 Sep 2018 22:40:56 +0200

dh-python (3.20180723) unstable; urgency=medium

  * dh-python depends on python3-distutils (as most package that use dh-python
    would have to depend on it anyway, closes: 894203)
  * dh_python{2,3}:
    - fix \.so.* symlink renaming for non-default Python versions
      (closes: 739500, 903698)
    - when files cannot be shared between Python versions because of
      differences, print (in --verbose mode) a unified diff for diagnostic
      purposes (closes: 801710, thanks to Barry Warsaw for the original patch)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Jul 2018 14:39:41 +0200

dh-python (3.20180607) experimental; urgency=medium

  [ Scott Kitterman ]
  * Stop setting minimum python and python3 versions since the minimum version
    is in all supported releases

  [ Piotr Ożarowski ]
  * pybuild: set DEB_PYTHON_INSTALL_LAYOUT to "deb" if it's not set already

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Jun 2018 23:56:25 +0200

dh-python (3.20180326) unstable; urgency=medium

  * pybuild: fix cross compiling stuff to use dpkg-architecture if available
    (and move dpkg-dev to Suggests)
  * Add python3-distutils to Recommends to make the transition easier

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 26 Mar 2018 21:19:20 +0200

dh-python (3.20180318) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Ben Finney ]
  * Ignore leading and trailing whitespace from ‘pydist’ lines when parsing
    (closes: 860139)

  [ Piotr Ożarowski ]
  * pybuild.pm: add support for DEBPYTHON{3,}_{DEFAULT,SUPPORTED} env. vars
    (closes: 861132)
  * pybuild:
    - support cross compiling Python 3.X extensions (i.e. set
      _PYTHON_SYSCONFIGDATA_NAME env. and add dpkg-dev to Depends
      closes: 892931)
  * Standards-Version is 4.1.3 now (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Mar 2018 19:52:49 +0100

dh-python (3.20180313) unstable; urgency=medium

  [ Ondřej Nový ]
  * When depends on python{3,}-pbr, set PBR_VERSION to upstream version

  [ Dirk Thomas ]
  * Use relative install-scripts path in pybuild's distutils build system

  [ Piotr Ożarowski ]
  * dh_python2: rewrite /usr/bin/python shebangs to /usr/bin/python2
  * pybuild:
    * copy files listed in debian/pybuild.testfiles to build directory before
      test step and remove them before install step
    * improve support for building multiple (Python) distributions at once
      (PYBUILD_NAME=foo dh $@ -Spybuild --sourcedirectory=dir1;
       PYBUILD_NAME=bar dh $@ -Spybuild --sourcedirectory=dir2)
    * add --print option to print pybuild's internal parameters
      (example: `pybuild --print build_dir --interpreter python3`)
    * add --ext-sub-pattern and --ext-sub-repl options (can be used f.e. to
      move some files from dist-packages to private directory)
    * if --name contains underscore, replace it with dash in suggested package
      names
    * try a bit harder to guess (if not explicitly requested) interpreter
      versions to build for, especially if versioned interpreter was requested

    WARNING: pybuild's internal dir names were changed, use --print if you
    really have to use these paths in debian/rules

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 13 Mar 2018 23:09:42 +0100

dh-python (2.20170125) unstable; urgency=medium

  * pybuild.pm:
    - enable --test-{nose,pytest,tox} if appropriate pypy-* build
      dependency is set
  * pybuild: set _PYTHON_HOST_PLATFORM in the environment to ensure debugging
    symbols (reproducible builds effort). Thanks to Chris Lamb for the patch
    (closes: 835805)
  * dh_python{2,3} manpage: remove "s" suffix from *-section options
    to match the actual option name and --help output (closes: 847304)
  * dh_python{2,3}:
    - do not drop "module" from extension name if the name is "module",
      i.e. without prefix (closes: 841148)
    - add --accept-upstream-versions option. Thanks to Malte Forkel for the
      patch (also closes: 847387 as it now parses minimum/maximum version)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 25 Jan 2017 15:47:18 +0100

dh-python (2.20160818) unstable; urgency=medium

  [ Chris Lamb ]
  * dh_py*: do not copy build profiles into substvars (closes: 834238)
  * pybuild: log "before" and "after" commands by default (closes: 834506)

  [ Piotr Ożarowski ]
  * dh_py*: add --{depends,recommends,suggests}-section options
    Use these options if you want to translate section(s) of requires.txt
    file into Depends/Recommends/Suggests
  * Mention pydist override file names and their priority in README.PyDist

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Aug 2016 00:27:52 +0200

dh-python (2.20160721) unstable; urgency=medium

  * pybuild.pm: recognize ":any" build dependencies (closes: 828883)
  * Save helper's name in autogenerated maintainer scripts (closes: 827774)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 21 Jul 2016 21:56:20 +0200

dh-python (2.20160609) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * pybuild's distutils build plugin: use force option at install stage to
    avoid non-deterministic shebangs (closes: 804339)
  * pybuild.pm:
    - fail with a message about missing interpreter package in
      Build-Depends if there's none (closes: 819353)
    - do not pass --dir to pybuild if it's equal to current directory
      (to make PYBUILD_DIR override possible)
  * dh_pypy: fix dpkg search template to find more pypy egg-info packages
  * dh_py*:
    - add interpreter to Depends if .so file is detected in private dir
      only if python{,3,all,3-all}-dev is in Build-Depends (closes: 811083)
    - use Build-Depends' minimum version for required libraries if other
      methods to detect it failed (closes: 791433)
    - --requires now tries to find given file in debian/pkg-name/ dir
      (`--requires foo/bar.txt` will try debian/python3-spam/foo/bar.txt and
      fall back to ./foo/bar.txt)
    - print an error if there's no package to act on
    - fix handling symlinks while moving files to common directory
      (closes: 801719)

  [ Ondřej Nový ]
  * When depends on python{3,}-setuptools-scm, set
    SETUPTOOLS_SCM_PRETEND_VERSION to upstream version
  * Standards-Version is 3.9.8 now (no changes needed)
  * Changed Vcs-* URLs to https protocol

  [ James Page ]
  * dhpython/pydist.py: Ensure that != dependency versions are ignored
    (LP: #1581065).

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 09 Jun 2016 18:37:46 +0200

dh-python (2.20151103) unstable; urgency=medium

  * dh_py*:
    - remove lines from requires.txt already translated into Debian
      dependencies
    - remove SOURCES.txt from egg-info directories (closes: 802882)
  * dh_pypy: generate pypy-abi-foo dependencies for PyPy extensions
    (closes: 803689)
  * pybuild:
    - build default interpreter version last (in case previous build
      results are overwritten, like in distutils build system)
    - remove (just before install stage) egg-info dirs generated in build_dir
      during test stage (closes: 803242)
  * Move libdpkg-perl from Depends to Suggests. python3 still depends on
    dh-python and we don't want to pull Perl when python3 is intalled
    (libdpkg-perl is pulled in by debhelper anyway)
  * Add README.rst file

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Nov 2015 23:20:36 +0100

dh-python (2.20150826) unstable; urgency=medium

  * Remove '--with-doctest' from nose call, closes: 749506
    to re-enable it: export PYBUILD_TEST_ARGS=--with-doctest
  * Build-Depends based test suite detection is used only if PYBUILD_TEST_FOO
    is not set to 1
  * dh_python2: do not try to move files to pyshared if package doesn't
    provide public modules (f.e. due to interpreter version no longer
    supported or installed), closes: 793148

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Aug 2015 16:53:52 +0200

dh-python (2.20150728) unstable; urgency=medium

  * dh_python3: fix module renaming in Python >= 3.5 (SOABI now includes
    MULTIARCH triplet)
  * pybuild.pm:
    - fix parsing Build-Depends with comments (closes: 793609, thanks to James
      McCoy for the patch) - new build/runtime dependency: libdpkg-perl
    - enable --test-{nose,pytest,tox} if appropriate build dependency is set
  * pybuild:
    - allow localhost connections (via no_proxy=localhost, thanks to
      Dimitri John Ledkov)
    - do not forward empty http{,s}_proxy env. vars - some tools do not like it
  * dh_python{2,3} and dh_pypy: skip packages with private modules that
    do not have appropriate ${*:Depends} substvar in Depends
    (-p/-N in debian/rules to select the right package is no longer needed,
    now you can select the right tool by adding substvar)
  * generate_fallback_list.py: add support for --ubuntu (requires
    python3-distro-info package, thanks to James Page for original patch,
    closes LP: #1422433)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 28 Jul 2015 21:01:02 +0200

dh-python (2.20150719) unstable; urgency=medium

  * Update dist_fallback files
  * Converted to native package and bumped version number to 2.*
  * dh_python{2,3}:
    - remove empty directories (closes: 761028)
    - remove "test" and "tests" directories from dist-packages/
      (packages should ship tests in /usr/share/ or under their own namespace)
  * Make private dir autoscript snippets output in a determinstic order
    (closes: 792436, thanks to Chris Lamb for the patch)
  * Clarify purpose of .pydist files (closes: 778633, thanks to Nikolaus Rath
    for the patch)
  * Remove "module" from extension file names also in Python 2.7

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 19 Jul 2015 22:54:37 +0200

dh-python (1.20150705-1) unstable; urgency=medium

  * Support requires.txt in PyPy packages.
  * Add unit tests for bugs fixed in this and the previous upload.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Jul 2015 19:09:24 -0700

dh-python (1.20150628-1) unstable; urgency=medium

  * Fix path handling when --ext-dest-dir is used. Some characters were being
    stripped from the beginning of the path.
  * Re-apply Multi-Arch change.
  * Remove XS-Testsuite control field, no longer necessary.
  * Sort namespace files, for reproducibility. Thanks to Chris Lamb for the
    patch. (closes: 777134)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 28 Jun 2015 18:43:31 -0700

dh-python (1.20141111-2) unstable; urgency=medium

  * Remove Multi-Arch change from previous upload (not accepted for Jessie by
    release managers)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 15 Nov 2014 12:48:23 +0100

dh-python (1.20141111-1) unstable; urgency=medium

  * Set dh-python's Multi-Arch to "foreign" (closes: 767339)
  * dist_fallback files now contain list of all packages that provide Egg
    metadata (i.e. not just packages that don't have sensible name)
  * dh_python* no longer guesses dependency from requires.txt files nor Requires
    fields. Dependencies are generated only if given requirement is available
    in dist_fallback file (generated at dh-python's build time) or if it's
    available at build time (hint: Build-Depends)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Nov 2014 21:23:20 +0100

dh-python (1.20141026-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update supported (and default) PyPy version to 2.4.

  [ Piotr Ożarowski ]
  * Remove "-p " from autoscripts if --compile-all option is set
  * Add support for guessing dependencies from egg-info files (closes: 756378)
  * Parse "!=" relationship in egg dependencies (closes: 754058, thanks to
    Rafael Laboissiere for the patch)
  * Improve handling pyinstall/pyremove files (leading slash no longer needed
    for deprecated directories, manpages improved a bit) - closes: 741381
  * Suggest the right file name for dependency overrides (closes: 748296)
  * Add argparse to Python 3.X's dist fallback (closes: 763200)
  * Ensure that Depends and the likes are written in a stable
    order (closes: 759231, thanks to Jérémy Bobbio for the patch)
  * Remove dh_python2 diversions while upgrading from bpo package
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Oct 2014 23:32:57 +0100

dh-python (1.20140511-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * pybuild: do not invoke clean commands for missing interpreters
    (and thus do not require all interpreter versions to be installed while
    building source package outside build environment, closes: 737091)
  * dh_python2: no longer moves files to /usr/share/pyshared if there's only
    one supported Python 2.X version and doesn't create /usr/lib/pyshared
    symlinks for extensions (as other helper tools are now deprecated)
  * Show fix_shebang's error messages only in debug mode, closes: 745581

  [ Matthias Klose ]
  * Remove empty directories when moving files.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 11 May 2014 20:59:15 +0200

dh-python (1.20140128-1) unstable; urgency=low

  * dh_python3, dh_pypy: add support for debian/package.pyremove files
    (closes: 730777)
  * dh_python3: add multiarch tuples to all already tagged extensions
    when more than one Python 3 version is supported (closes: 733128)
  * Make sure only first line is taken into account while checking shebangs
    (closes: 732308)
  * Assume UTF-8 encoding also in non UTF-8 environments while opening text
    files (closes: 735370)
  * Mention in pybuild's manpage that disabling anything for python3 doesn't
    disable python3-dbg as well (closes: 735899)
  * pybuild's distutils build plugin: set install-scripts to /usr/bin by default
  * Test Python 2.7 only in test203 if /usr/bin/python2.6 is missing
    (closes: 727674)
  * Generate dependencies for minimum required interpreter version that are
    satisfied by alpha/beta/rc releases (i.e. generate ">= X.Y~")
  * pybuild build plugins: show executed command (not only in --verbose),
    closes: 733755
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 28 Jan 2014 18:20:19 +0100

dh-python (1.20131021-1) unstable; urgency=low

  * dh_python2: fix renaming debug extensions with multiarch tuples

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 21 Oct 2013 20:52:04 +0200

dh-python (1.20131017-1) unstable; urgency=low

  [ Stefano Rivera ]
  * distutils build plugin: use default interpreter symlink in build step as
    well as the install step (if interpreter version matches the default one).
    So that shebangs in setuptools scripts.

  [ Piotr Ożarowski ]
  * dh_python2: searching for packages with egg-info fixed
  * dh_python2: fix public module version detection (regression)
  * dh_py*: "so" files no longer detected as extensions (closes: 726616)
  * pybuild: set PYTHON_LIBRARY and PYTHON_INCLUDE_DIR in cmake build
    plugin's configure step

  [ B. Clausius ]
  * pybuild: no longer fails if source directory path contains braces
    (closes: 726458)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 17 Oct 2013 22:24:25 +0200

dh-python (1.20131003-1) unstable; urgency=low

  * Revert python-docutils build dependency change (to avoid circular
    dependencies)
  * Install PyDist fallback files

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 03 Oct 2013 18:06:37 +0200

dh-python (1.20130917-1) unstable; urgency=low

  * dh_python{2,3}:
    - bump minimum required python{,3}:any version to workaround #723586
    - generate :any dependencies to specify range of supported Python versions
      (doesn't include extensions case), closes: 723070

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Sep 2013 19:29:05 +0200

dh-python (1.20130913-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * dh_py*:
    - add --requires option
    - do not generate "python2" dependency while guessing private
      extension's version using shebangs in other files (closes: #722307)

  [ Steve Langasek ]
  * Adjust dh_python to be multiarch-friendly (closes: 722045)

  [ B. Clausius ]
  * pybuild: fix --test when LC_ALL=C and setup.py contains non-ascii
    characters (closes: 722214)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Sep 2013 20:47:46 +0200

dh-python (1.20130903-1) unstable; urgency=low

  * dh_python2, dh_python3, dh_pypy:
    - do not rename extensions in directories that include architecture triplet
      as part of the path (closes: 721696)
    - add --no-ext-rename option

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Sep 2013 20:20:43 +0200

dh-python (1.20130902-1) unstable; urgency=low

  * Fix DESTDIR guessing (from --name) for non-default interpreter versions
  * Add {package} to supported variables in command templates

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Sep 2013 18:22:14 +0200

dh-python (1.20130901-1) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Fix pybuild.pm when PYBUILD_INTERPRETERS is set
    (broken in previous upload, closes: #720744)
  * Bump doctests s/3.2/3.3/

  [ Piotr Ożarowski ]
  * Add Barry Warsaw to co-maintainers
  * pybuild:
    - mention {version.major} and {version.minor} in pybuild's manpage
      (closes: 721068)
    - add --test-tox option (PYBUILD_TEST_TOX=1 works too, like with
      other pybuild options), closes: 721067
    - set https_proxy to 127.0.0.1 if it's not set (similar to http_proxy)
    - distutils build plugin: use default interpreter symlink in install step
      (if interpreter version matches the default one) - this will force
      distutils to not hardcode interpreter version in shebangs
    - fix problem with relative paths when dh's --sourcedirectory is used
    - add --name (PYBUILD_NAME) option
  * dh_python{2,3} and dh_pypy: generate "interpreter (>= X.Y),
    interpreter (<< X.Z)" dependency if private directory contains extensions
    even if there are no .py files inside (closes: 720258)
  * Disable two tests in test201 dir if /usr/bin/python2.6 is not available
  * Replace python-docutils build dependency with python3-docutils (both
    provide rst2man)

  [ Dmitry Shachnev ]
  * Make sure tests do not require python-support.
  * Add "dh-python" and "nosetests" autopkgtests.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Sep 2013 20:51:17 +0200

dh-python (1.20130819-1) unstable; urgency=low

  * Do not translate X-Python{,3}-Version into Depends if there are no Python
    files in the package
  * pybuild's distutils build plugin: set --root only in install step.
    dh doesn't pass DESTDIR in other steps and hence files for single binary
    packages ended in debian/tmp by default (closes: 719434)
  * Fix typo in plugin_cmake.py (thanks to D. Barbier, closes: #719528)
  * pybuild: --test-nose/--test-pytest have higher priority than setup.py's
    test_suite now
  * pybuild.pm: remove .pyc files in clean target
  * pybuild: directory paths escaping fixed
  * install README.PyDist file in dh-python package (closes: #698144)
  * Replace "libpython3.3-stdlib, python3.2" build depentency with
    libpython3-stdlib (which is already in unstable)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 19 Aug 2013 10:55:56 +0200

dh-python (1.20130807-1) unstable; urgency=low

  * dh_python3: do not add multiarch triplets in python3.2's extensions -
    multiarch support was disabled in this interpreter
  * dh_pypy: fix prerm script to remove .pyc files (thanks to Jakub Wilk)
  * pybuild:
    - rename PYBUILD_DEBUG env. var. to PYBUILD_VERBOSE
    - run `pypy -m unittest discover -v` in test target for pypy interpreter
    - add --test-nose and --test-pytest options (can be enabled also via
      PYBUILD_TEST_NOSE=1 or PYBUILD_TEST_PYTEST=1)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 07 Aug 2013 23:59:37 +0200

dh-python (1.20130728-1) unstable; urgency=low

  * Upload to unstable, breaks/replaces python3 << 3.3.2-4~
  * Ignore missing or broken /usr/share/python{,3}/debian_defaults config
    files while checking for default/supported Python {2,3} versions
  * dh_python3: fix renaming (tagging) non-default public extensions that were
    not installed directly in dist-packages/ (../dist-packages/foo/bar.so, etc.)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 31 Jul 2013 22:13:05 +0200

dh-python (1.0~b1-1) experimental; urgency=low

  * Initial release.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 07 Jul 2013 21:47:50 +0200
